Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:      	xine-lib
Version:   	1.1.15
Release:   	2
License: 	GNU/GPL
URL:		http://www.xinehq.de
Group:     	Video          
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		xine-lib-ffmpeg.patch
# phonon-xine doesn't compile with xine-lib-1.1.15, http://bugs.kde.org/169365
Patch100:       xine-lib-1.1.15-ansi.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Summary:   	xine-lib is a free multimedia engine.
Requires: 	mplayer-codecs
BuildRequires: 	mplayer-codecs DirectFB-devel sysfsutils-devel
BuildRequires:  gnome-vfs-devel 
BuildRequires:  speex-devel 
BuildRequires:  flac-devel 
BuildRequires:  libtheora-1.0-devel 
BuildRequires:  libmodplug-devel
BuildRequires:  ORBit2-devel
BuildRequires:  SDL-devel
BuildRequires:  aalib-devel
BuildRequires:  arts-devel
BuildRequires:  alsa-lib-devel
BuildRequires:  audiofile-devel
BuildRequires:  ImageMagick-devel
BuildRequires:  libbonobo-devel
BuildRequires:  bzip2-devel
BuildRequires:  glibc-devel
BuildRequires:  libcdio-devel
BuildRequires:  esound-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  GConf-devel
#BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  gnome-vfs-devel
BuildRequires:  libjpeg-devel
BuildRequires:  lcms-devel
BuildRequires:  libmng-devel
BuildRequires:  libogg-devel
BuildRequires:  slang-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtiff-devel
BuildRequires:  vcdimager-devel
BuildRequires:  mesa-libGL-devel
BuildRequires:  mesa-libGLU-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXv-devel
BuildRequires:  libXvMC-devel
BuildRequires:  wavpack-devel
BuildRequires:  libmpcdec-devel
BuildRequires:  flac-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  libraw1394-devel
BuildRequires:	avahi-devel
BuildRequires:  liba52-devel
BuildRequires:  libdts-devel
BuildRequires:  xvidcore-devel
BuildRequires:  x264-devel
BuildRequires:  libdc1394-devel
BuildRequires:  faac-devel
BuildRequires:  faad2-devel
BuildRequires:  ghostscript-devel
Obsoletes:	%{name}-man

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
The xine engine is a free media player engine. It comes in the form of
a shared libarary and is typically used by media player frontends and
other multimedia applications for playback of multimedia streams such
as movies, radio/tv network streams, DVDs, VCDs.

Since there are several frontends for the xine library available, this
document has a problem when it comes to examples. The two most common
frontends xine-ui and gxine are mixed in command line examples
throughout this FAQ. When you use a different frontend, some of these
will not work for you. The filename of the config file also varies
amongst frontends. If you get confused, I recommend you try with one
of xine-ui or gxine.


%package devel
Summary: 	%{name} development headers.
Group:     	Video          
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with xine-lib.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}
#%patch0 -p1 
%patch100 -p1 

%build
./configure --prefix=%_prefix \
--sysconfdir=%_sysconfdir \
--mandir=%_mandir \
--disable-static \
--disable-debug \
--with-libflac \
--with-external-libmpcdec \
--with-external-ffmpeg \
--with-wavpack \
--with-w32-path=/usr/lib/mplayer/codecs \
--disable-dxr3
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/xine-list-1.1
%_libdir/*.so.*
%_libdir/xine
%_locale
%_datadir/xine
%_mandir
%_datadir/doc


%files devel
%defattr(-,root,root)
%_bindir/xine-config
%_includedir
%_libdir/*.la
%_libdir/*.so
%_pkgconfig
%_aclocal

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 1.1.15-2
- added ansi patch for kdebase-runtime
* Fri Aug 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.15-1
- Version update
* Sun Jun 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.14-1
- Version update
* Mon Jun 16 2008 Christian Metzen <metzench@ccux-linux.de> 1.1.13-1
- Version update
* Thu Apr 24 2008 Christian Metzen <metzench@ccux-linux.de> 1.1.12-2
- obsolete man package
* Tue Apr 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.12-1
- Version update
* Thu Mar 20 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.11-1
- Version update
- moved manpages to seperate package
* Sun Mar 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.10.1-3
- rebuilt against libdc1394 2.0.1
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.10.1-2
- rebuilt against ImageMagick 6.3.9.3
* Sun Feb 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.10.1-1
- Version update
* Sun Jan 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.10-1
- Version update
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.9.1-1
- Version update
* Sun Jan 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.9-1
- Version update
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.1.8-2
- rebuild against new x264-20071104
* Mon Aug 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.8-1
- Version update
* Sat Jun 23 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.7-1
- Version update
* Wed Apr 18 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.1.6-1
- Version Update
* Wed Apr 11 2007 Christian Metzen <metzench@ccux-linux.de> 1.1.5-2
- rebuild against stable repo
* Tue Apr 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.5-1
- Version update
* Thu Feb 01 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.1.4-1
- Version update
* Sun Dec 03 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.1.3-1
- Version update
* Fri Jul 14 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.1.2-1
- Version update
* Tue Jan 24 2006 Christian Wasem <wasem@ccux-linux.de> 1.1.1-4
- rebuilt against ImageMagick 6.2.6.0
* Wed Nov 30 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.1-3
- added *.so to devel, it will be installed, but not packed!
* Sun Nov 27 2005 Christian Wasem <wasem@ccux-linux.de> 1.1.1-2
- moved more files to devel
* Sat Nov 26 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.1.1-1
- Version update
* Mon Oct 10 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.0.3a-1
- Version update, security-bugfix release
* Fri Jun 17 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.1-3
- Moved linker files
* Fri Jun 17 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.0.1-2
- Recompilation against new flac
* Thu Apr 28 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.1-1
- Version update to 1.0.1
* Mon Dec 27 2004 Christian Metzen <metzench@ccux-linux.de> 1.0-1
- Update to Version 1.0
* Fri Nov 19 2004 Christian Metzen <metzench@ccux-linux.de> 1rc7-1
- Initial Release
